Skip to main content

Add Start Script

POST/api/v1/start-script/

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key for authenticating the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Specifies the target location for the start script

    • must be a non-empty string
    • should be a valid URI or file path
    example{{location}}

Request body

application/json

object
labelstring

Name of the start script to add

examplenginx-hello
  • must be a non-empty string
  • may contain letters, numbers, hyphens and underscores
script_contentstring

Script content to be executed at start

examplehello
  • required
  • must be a non-empty string

Responses

200Successful response
object
codeinteger

HTTP status code indicating the result of adding the start script

example200
  • must be an integer
  • must be a valid HTTP status code (100-599)
dataobject
errorsobject
messagestring

Human-readable result message of the add start script operation

exampleSuccess
  • must be a non-empty string
  • maximum length of 200 characters